# Module: cleartext

## cleartext

Source:
  - cleartext.js, line 18

### Classes

CleartextMessage

### Methods

#### <inner> readArmored(armoredText) → {module:cleartext~CleartextMessage}

  reads an OpenPGP cleartext signed message and returns a CleartextMessage object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `armoredText` | String | text to be parsed

  Source:
    - cleartext.js, line 131

  ##### Returns:

  new cleartext message object
  Type
    module:cleartext~CleartextMessage